JobCompletedEvent (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Class JobCompletedEvent

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
          org.apache.hadoop.mapreduce.server.tasktracker.userlogs.JobCompletedEvent

    public class JobCompletedEvent

extends UserLogEvent

This is an `UserLogEvent` sent when the job completes

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`UserLogEvent.EventType`

Constructor Summary
`JobCompletedEvent(JobID jobid, long jobCompletionTime, int retainHours)` Create the event for job completion.

Method Summary
`long` | `getJobCompletionTime()` Get the job completion time-stamp in milli-seconds.
`JobID` | `getJobID()` Get the job id.
`int` | `getRetainHours()` Get the number of hours for which job logs should be retained.

Methods inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`getEventType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobCompletedEvent

    public JobCompletedEvent(JobID jobid,
                             long jobCompletionTime,
                             int retainHours)

  Create the event for job completion.

  Parameters:
    `jobid` - The completed `JobID` .
    `jobCompletionTime` - The job completion time.
    `retainHours` - The number of hours for which the job logs should be retained

Method Detail

### getJobID

    public JobID getJobID()

  Get the job id.

  Returns:
    object of `JobID`

### getJobCompletionTime

    public long getJobCompletionTime()

  Get the job completion time-stamp in milli-seconds.

  Returns:
    job completion time.

### getRetainHours

    public int getRetainHours()

  Get the number of hours for which job logs should be retained.

  Returns:
    retainHours

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation